io.vertx.ext.web.api

## Interface RequestParameter

- Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public interface RequestParameter

  Request parameter holder
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)` Deprecated.
    `static RequestParameter` | `create(String name, Object value)` Deprecated.
    `List<RequestParameter>` | `getArray()` Deprecated. Returns null if value is not a list, otherwise it returns value
    `Boolean` | `getBoolean()` Deprecated. Returns null if value is not a Boolean, otherwise it returns value
    `Double` | `getDouble()` Deprecated. Returns null if value is not a Double, otherwise it returns value
    `Float` | `getFloat()` Deprecated. Returns null if value is not a Float, otherwise it returns value
    `Integer` | `getInteger()` Deprecated. Returns null if value is not an Integer, otherwise it returns value
    `JsonArray` | `getJsonArray()` Deprecated. Returns null if value is not a JsonArray, otherwise it returns value
    `JsonObject` | `getJsonObject()` Deprecated. Returns null if value is not a JsonObject, otherwise it returns value
    `Long` | `getLong()` Deprecated. Returns null if value is not a Long, otherwise it returns value
    `String` | `getName()` Deprecated. Get parameter name
    `List<String>` | `getObjectKeys()` Deprecated. If value is a map of fields, it returns keys of map, otherwise it returns null
    `RequestParameter` | `getObjectValue(String key)` Deprecated. If value is a map of fields, it returns value of field with key provided, otherwise it returns null
    `String` | `getString()` Deprecated. Returns null if value is not a String, otherwise it returns value
    `boolean` | `isArray()` Deprecated. Returns true if value of RequestParameter is an array
    `boolean` | `isBoolean()` Deprecated. Returns true if value of RequestParameter is a Boolean instance
    `boolean` | `isDouble()` Deprecated. Returns true if value of RequestParameter is a Double instance
    `boolean` | `isEmpty()` Deprecated. Alias of `isNull()`
    `boolean` | `isFloat()` Deprecated. Returns true if value of RequestParameter is a Float instance
    `boolean` | `isInteger()` Deprecated. Returns true if value of RequestParameter is an Integer instance
    `boolean` | `isJsonArray()` Deprecated. Returns true if value of RequestParameter is a JsonArray instance
    `boolean` | `isJsonObject()` Deprecated. Returns true if value of RequestParameter is a JsonObject instance
    `boolean` | `isLong()` Deprecated. Returns true if value of RequestParameter is a Long instance
    `boolean` | `isNull()` Deprecated. Returns true if value is null
    `boolean` | `isObject()` Deprecated. Returns true if value of RequestParameter is a map of fields
    `boolean` | `isString()` Deprecated. Returns true if value of RequestParameter is a String instance
    `RequestParameter` | `merge(RequestParameter otherParameter)` Deprecated. Merge this request parameter with another one.
    `void` | `setName(String name)` Deprecated. Set parameter name
    `void` | `setValue(Object value)` Deprecated. Set value
    `Object` | `toJson()` Deprecated. Converts deeply this RequestParameter in a Json representation

- - ### Method Detail

    - #### setName

          void setName(String name)

      Deprecated.
      Set parameter name
      Parameters:
        `name` -

    - #### setValue

          void setValue(Object value)

      Deprecated.
      Set value
      Parameters:
        `value` -

    - #### getName

          String getName()

      Deprecated.
      Get parameter name
      Returns:

    - #### getObjectKeys

          List<String> getObjectKeys()

      Deprecated.
      If value is a map of fields, it returns keys of map, otherwise it returns null
      Returns:

    - #### getObjectValue

          RequestParameter getObjectValue(String key)

      Deprecated.
      If value is a map of fields, it returns value of field with key provided, otherwise it returns null
      Parameters:
        `key` -
      Returns:

    - #### isObject

          boolean isObject()

      Deprecated.
      Returns true if value of RequestParameter is a map of fields
      Returns:

    - #### getArray

          List<RequestParameter> getArray()

      Deprecated.
      Returns null if value is not a list, otherwise it returns value
      Returns:

    - #### isArray

          boolean isArray()

      Deprecated.
      Returns true if value of RequestParameter is an array
      Returns:

    - #### getString

          String getString()

      Deprecated.
      Returns null if value is not a String, otherwise it returns value
      Returns:

    - #### isString

          boolean isString()

      Deprecated.
      Returns true if value of RequestParameter is a String instance
      Returns:

    - #### getInteger

          Integer getInteger()

      Deprecated.
      Returns null if value is not an Integer, otherwise it returns value
      Returns:

    - #### isInteger

          boolean isInteger()

      Deprecated.
      Returns true if value of RequestParameter is an Integer instance
      Returns:

    - #### getLong

          Long getLong()

      Deprecated.
      Returns null if value is not a Long, otherwise it returns value
      Returns:

    - #### isLong

          boolean isLong()

      Deprecated.
      Returns true if value of RequestParameter is a Long instance
      Returns:

    - #### getFloat

          Float getFloat()

      Deprecated.
      Returns null if value is not a Float, otherwise it returns value
      Returns:

    - #### isFloat

          boolean isFloat()

      Deprecated.
      Returns true if value of RequestParameter is a Float instance
      Returns:

    - #### getDouble

          Double getDouble()

      Deprecated.
      Returns null if value is not a Double, otherwise it returns value
      Returns:

    - #### isDouble

          boolean isDouble()

      Deprecated.
      Returns true if value of RequestParameter is a Double instance
      Returns:

    - #### getBoolean

          Boolean getBoolean()

      Deprecated.
      Returns null if value is not a Boolean, otherwise it returns value
      Returns:

    - #### isBoolean

          boolean isBoolean()

      Deprecated.
      Returns true if value of RequestParameter is a Boolean instance
      Returns:

    - #### getJsonObject

          JsonObject getJsonObject()

      Deprecated.
      Returns null if value is not a JsonObject, otherwise it returns value
      Returns:

    - #### isJsonObject

          boolean isJsonObject()

      Deprecated.
      Returns true if value of RequestParameter is a JsonObject instance
      Returns:

    - #### getJsonArray

          JsonArray getJsonArray()

      Deprecated.
      Returns null if value is not a JsonArray, otherwise it returns value
      Returns:

    - #### isJsonArray

          boolean isJsonArray()

      Deprecated.
      Returns true if value of RequestParameter is a JsonArray instance
      Returns:

    - #### isNull

          boolean isNull()

      Deprecated.
      Returns true if value is null
      Returns:

    - #### isEmpty

          boolean isEmpty()

      Deprecated.
      Alias of `isNull()`
      Returns:

    - #### toJson

          Object toJson()

      Deprecated.
      Converts deeply this RequestParameter in a Json representation
      Returns:

    - #### merge

          RequestParameter merge(RequestParameter otherParameter)

      Deprecated.
      Merge this request parameter with another one. Note: the parameter passed by argument has the priority
      Parameters:
        `otherParameter` -
      Returns:

    - #### create

          static RequestParameter create(String name,
                                         Object value)

      Deprecated.

    - #### create

          static RequestParameter create(Object value)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.